## ltsp 5.0.7

=== debian/changelog ===
ltsp (5.0.7) feisty; urgency=low

  * cosmetical fix, make sure we switch to vt 7 between usplash end
    and ldm start to prevent tty1 flashing in on slow thin clients

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 10 Apr 2007 15:22:20 +0200

ltsp (5.0.6) feisty; urgency=low

  * move printing back, doesnt gain us anything
  * make sure the localdev scritps dont start new instaces with every ldm 
    restart on logout
  * fix quoting in sources.list plugin
  * change package selection to not install *all* fonts, we only need the 
    ones ldm uses (should help massively with bug #97456)
  * fix yaboot linking in ltsp-update-kernels (closes LP #101927)


 -- Oliver Grawert <ogra@ubuntu.com>  Tue,  3 Apr 2007 15:49:04 +0200

ltsp (5.0.5) feisty; urgency=low

  * move printserver startup, localdev helperscripts and soundserver 
    startup after start of X to speed up booting (should partially 
    help with LP #97456)
  * add pulseaudio-esound-compat to ltsp-server-standalone recommends
    (for people feeling the need to still use esddsp with apps)
  * drop duplicated module-detect option from pulseaudio startup to 
    avoid warning in client bootlogs
  * drop duplicated touching of /etc/nbd-client from ltsp-build-client, 
    we start nbd from the ltsp-client-setup initscript, no need for a 
    second run.
  * remove stray sleep(5) call in ldm for speedup (LP #97456)
  * add --copy-sourceslist option to ltsp-build-client to reuse the servers 
    sources.list with ltsp-buiuld-client (fixes LP #48601)
  * move loopback device entry creation in /etc/network/interfaces to 
    ltsp-build-client, fixes a race condition while bringing up lo

 -- Oliver Grawert <ogra@ubuntu.com>  Mon,  2 Apr 2007 11:39:50 +0200

ltsp (5.0.4) feisty; urgency=low

  * fix varoius documentation, malone bugs #94081 and #78927
  * make sure the lp module is loaded on all thin clients, 
    fixes malone #94086
  * fix support for multiple printers (malone #93863)
  * make sure we set SYSLOG to point to the server in
    the default lts.conf
  * move the theme setting of ldm to finalization sequence 
    to make sure we not only have the usplash but also the 
    right ldm theme
  * fix the MODULE_nn option to take arguments for modules it 
    loads (fixes handling of ISA soundcards)

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 26 Mar 2007 13:52:06 +0200

ltsp (5.0.3) feisty; urgency=low

  * remove xorg keymap setting form locales plugin, it breaks in d-i 

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 20 Mar 2007 15:35:11 +0100

ltsp (5.0.2) feisty; urgency=low

  * fix yaboot handling for tftp in ltsp-update-kernels, 
  * allow kernel copying to an existing /tftpboot in ltsp-update-kernels 
    (upstream requirement for upgrades from 4.2)
  * add lts.conf option SSH_OVERRIDE_PORT for non standard ssh ports 
    to use with ldm (closes malone #47744)
  * fix pulse and ltspfs deps harder, 
  * remove mount-proc from Vendor dir, it's used in the common plugins 
    section already

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 15 Mar 2007 01:38:46 +0100

ltsp (5.0.1) feisty; urgency=low

  [Oliver Grawert]
  * Version bump to 5.0.x
  * locale handling fixes (malone #67387, #72626 and #82427)
  * only create a link for /proc/fd if necessary (malone #90703)
  * dont attempt to install to unclean targets, spill a warning instead
    (maolne #71237)
  * install a default lts.conf with sound, localdev and nbdswap enabled
  * make sure /var/lib/nfs is writeable on thin clients
  * add sound dependencies to ltsp-server-standalone (probably split that out
    in a ltsp-sound metapackage later)
  * improve handling of boolean variables in the initscript
  * fix the remaining bits of x11 directory handling, we dont have xfree86 
    anywhere anymore in ubuntu.
  * fix typo in cjwatsons patch
  * sanitize pulse option formatting
  * make sure console-setup is in the rcS startup links
  * drop stop-bootlogd and etc-setserial from startup link cleanup list
    we have neither installed, if users want it, they also want the
    initscripts.
  * add pete savages reboot button fix to ldm
  * add fix to speed up X autodetection by merging all debconf-communicate
    calls into one. Thanks for the patch to Müller Zsolt <muzso@muzso.hu>
  * revert the temporary switch to the -generic kernel on thin clients
  * fix artwork handling in ldm and update themes

  [Colin Watson]
  * Log that we're starting up ldm before stopping usplash. If usplash was
    running, don't bother logging successful startup, as it will look weird
    on the console.
  * If usplash was running, wait a short while for the active console to
    change after starting up ldm, to try to avoid visible console noise from
    later init scripts.
  * Depend on kbd | console-tools for fgconsole.

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 12 Mar 2007 13:38:48 +0000

ltsp (0.134) feisty; urgency=low

  *  enable the kiosk plugin (ltsp-build-client will accept the --kiosk
     option now)

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 13 Feb 2007 01:04:35 +0100

ltsp (0.133) feisty; urgency=low

  * final switch for pulseaudio support
  * make sure the right usplash theme is installed

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 30 Jan 2007 16:40:18 +0100

ltsp (0.132) feisty; urgency=low

  * add pulse support and dependencies
  * revert the herd2 quickfix 
  * remove the broken security mirror line from ltsp-client-builder

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 17 Jan 2007 13:10:01 +0100

ltsp (0.131) feisty; urgency=low

  * temporary switch i386 to the -generic kernel image (this might break
    on machines requiring the 486 codeset ...)

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 11 Jan 2007 11:13:41 +0100

ltsp (0.130) feisty; urgency=low

  * quickfix for mirror handling on non networked systems to make herd2
    installable 

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 10 Jan 2007 23:35:57 +0100

ltsp (0.129) feisty; urgency=low



=== debian/control ===
Source: ltsp
Section: misc
Priority: optional
Maintainer: Matt Zimmerman <mdz@ubuntu.com>
Build-Depends: debhelper (>= 4), flex, bison, libpopt-dev
Standards-Version: 3.7.2

Package: ltsp-server
Priority: extra
Depends: ${misc:Depends}, debootstrap, nfs-kernel-server, lsb-release, tftpd-hpa, openssh-client | ssh, openbsd-inetd, iproute, debconf-utils, python (>= 2.4), nbd-server, update-inetd, tcpd, gettext-base
Recommends: openssh-server | ssh, ltspfs
Suggests: dhcp3-server, sdm, audiooss
Architecture: all
Description: Basic LTSP server environment
 This is the basic environment depending on an external DHCP server to
 point the clients to the LTSP server.

Package: ltsp-server-standalone
Depends: ltsp-server, dhcp3-server, libasound2-plugins, libgstreamer-plugins-pulse0.10-0
Recommends: pulseaudio-esound-compat
Architecture: all
Description: Complete LTSP server environment
 This is the complete environment including a DHCP server to bootstrap
 the clients.
 
Package: ltsp-client
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends: lsb-base, nbd-client, ldm | sdm-terminal | x-display-manager, initramfs-tools (>= 0.11) | initrd-netboot-tools, syslinux [i386 amd64], mknbi[i386] | yaboot[powerpc] | aboot[alpha] | sparc-utils[sparc], lsb-release, kbd | console-tools, pulseaudio-esound-compat, ltspfsd
Recommends: ubuntu-thin-client, esound|nas|pulseaudio
Suggests: cryptsetup, inputattach
Conflicts: ltsp-utils
Replaces: ltsp-utils
Architecture: any
Description: LTSP client environment
 The scripts needed to configure and boot an LTSP client.
 .
 DO NOT install this package on a regular machine, it is intended only
 for installation inside a LTSP client filesystem.

Package: ldm
Depends: openssh-client | ssh, python, python-gtk2, python-gnomecanvas, python-glade2, gtk2-engines-clearlooks, xserver-xorg | xserver-xfree86 | xserver
Architecture: all
Description: LTSP display manager
 ldm is an X11 display manager similar to xdm, gdm and kdm, but unlike
 those it wraps the X11 traffic within an ssh tunnel to provide a
 secure login mechanism for remote X sessions.  ldm provides access
 only through SSH, not locally. It is technically possible to use ldm
 to connect to the same host, but probably a waste of CPU power.
 .
 It was written to work with the LTSP project, but should work without
 LTSP as well.

Package: ltsp-client-builder
Section: debian-installer
Priority: optional
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, pkgsel
XB-Installer-Menu-Item: 70
Description: Build an LTSP environment in the installer target
 This udeb bootstraps the LTSP client chroot in the installer target 
 while the cdrom is still mounted.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
DEB_SRC_BUILD_PROG:=dpkg-buildpackage -rfakeroot -S -sa

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) -C client/getltscfg
	$(MAKE) -C po update-po
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) -C client/getltscfg clean
    
    # Using po specific Makefile to clean message catalogs
	$(MAKE) -C po clean

    # Debconf translation update
	debconf-updatepo

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

    # Using po specific Makefile to install message catalogs
	$(MAKE) -C po install DESTDIR=$(CURDIR)/debian/ltsp-server/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i -Xarch-ids
	dh_installdebconf -i	
	dh_installinit -i --no-start
	dh_installman -pltsp-server -pltsp-client -pldm
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installdebconf -a
	dh_installinit -a --no-start
	dh_installinit -pltsp-client --name=ltsp-client-setup --no-start -u"start 32 S ."
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

bzr-release:
	rm -rf ../ltsp-$(DEBVER)
	bzr export ../ltsp-$(DEBVER)
	(cd ../ltsp-$(DEBVER); $(DEB_SRC_BUILD_PROG))

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install bzr-release

## ltsp 5.0.7.1

=== debian/changelog ===
ltsp (5.0.7.1) feisty-security; urgency=low

  * fix CVE-2008-1293 (LP: #227295) that made unauthenticated access to the
    local X server on the client possible.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue,  6 May 2008 16:34:24 +0000

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	$(MAKE) -C po clean
 
     # Debconf translation update
-	debconf-updatepo
+	#debconf-updatepo
 
 	dh_clean

## ltsp 5.0.39

=== debian/changelog ===
ltsp (5.0.39) gutsy; urgency=low

  * we want to move the compression log in d-i to target, not taget *sigh*

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 08 Oct 2007 11:14:01 +0200

ltsp (5.0.38) gutsy; urgency=low

  * move interface configuration in the installer before the ltsp-build-client
    run and bring the interface up, so ssh keys are generated properly later
    hopefully helps with LP: #145514

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 05 Oct 2007 19:13:39 +0200

ltsp (5.0.37) gutsy; urgency=low

  * revert the ltsp-build-client behavior of the d-i progress bar to teh
    feisty behavior, together with the new compress progressbar that should
    suffice to fix LP: #121547

  * ignore getltscfg if it fails during boot, so we dont need dummy entries 
    in "comment only" lts.conf files in the future

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 05 Oct 2007 18:03:54 +0200

ltsp (5.0.36) gutsy; urgency=low

  * fix most of the d-i progressbar issues and broken whitespace in
    debian/ltsp-client-builder.postinst
  * add a dummy entry to the default lts.conf to quiten down getltscfg on
    client boots

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 02 Oct 2007 22:22:53 +0200

ltsp (5.0.35) gutsy; urgency=low

  * change debconf frontend to noninteractive in the Ubuntu/095-update-image plugin
    fixes LP: #144296
  * fix sed quoting in ltsp-update-image so we dont end up with $PORT but the
    actual portnumber in the pxe config.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 02 Oct 2007 13:54:42 +0200

ltsp (5.0.34) gutsy; urgency=low

  * make sure the udeb waits until ltsp-update-image is finished

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 26 Sep 2007 18:08:21 +0200

ltsp (5.0.33) gutsy; urgency=low

  * disable d-i output for ltsp-update-image temporary to not risk beta release
    lauchpad bug #121547 will be fixed afterwards.

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 26 Sep 2007 13:29:09 +0200

ltsp (5.0.32) gutsy; urgency=low

  * move nfs handling plugin (095-exports) from common to Debian plugin dir
    we dont use nfs-kernel-server anymore, no need to restart it or mangle
    /etc/exports, leave that to debian :)
  * dont try to move files from the udeb postinst if they dont exist so the
    installer doesnt stop.

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 26 Sep 2007 12:50:17 +0200

ltsp (5.0.31) gutsy; urgency=low

  [Oliver Grawert <ogra@ubuntu.com>]
  * change mknbi dependency to mkelfimage for full LinuxBIOS support
  * add libgl1-mesa-dri to ltsp-client dependencies for compiz support
    out of the box.

  [Scott Balneaves <sbalneav@ltsp.org>]
  * Test failure of X autoconf add X_OPTIONS_**  parameters. A buggy
    via driver revealed this. Won't cause any delay on a sane driver.

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 19 Sep 2007 18:21:03 +0200

ltsp (5.0.30) gutsy; urgency=low

  * dont try to write to non existing dirs in the chroot from
    ltsp-update-image (thanks lamont !)
  * fix issue with doubleslashes in ltsp-update-image

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 13 Sep 2007 22:22:57 +0200

ltsp (5.0.29) gutsy; urgency=low

  [Oliver Grawert <ogra@ubuntu.com>]
  * fix setting of SERVER with nbd roots, closes LP: #139059
  * remove screensaver handling from ldm, gnome-screensaver konws what to do
    now

  [Scott Balneaves <sbalneav@ltsp.org>]
  * enable compiz by default (leave it to Xsession on the server to decide)

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 13 Sep 2007 16:10:50 +0200

ltsp (5.0.28) gutsy; urgency=low

  [Oliver Grawert <ogra@ubuntu.com>]
  * mkfifo isnt available in d-i, use mknod instead in the udeb
  * fix ltsp-update-image to handle existing inetd.conf entries properly
  * Empty out lts.conf, we detect evrything that was in there automatically
    and enable it if the corresponding app is in the chroot
  * Add long note to old lts.conf about the new location in the tftp dir

  [Scott Balneaves <sbalneav@ltsp.org>]
  * bug pointed out by vagrantc: running ltsp-update-image on a chroot that
    isn't going to be nbd mounted shouldn't error out
  * Patch to disallow SCREEN_01 (used by upstart and source for probs)
  * Eliminate call to awk, should be ulimit -m not -v for the
    XRAMPERC client limit
  * Little more cleanup on shell and telnet screen scripts, remove bash
    references
  * Instead of starting for all, start for just screens available


 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 12 Sep 2007 12:01:25 +0200

ltsp (5.0.27) gutsy; urgency=low

  * add new 010-debconf-frontend to Ubuntu to make the udeb
    changes actually work.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 06 Sep 2007 15:11:12 +0200

ltsp (5.0.26) gutsy; urgency=low

  [Oliver Grawert <ogra@ubuntu.com>]
  * new udeb postinst (and new template) added, fixes (LP: #121547)
    we have full progress reporting in teh installer now :)
  * added option --skipimage to ltsp-build-client to supress ltsp-update-image
    execution in d-i (we run it separately in the udeb)
  * its not an error if the port is set in inetd.conf.

  [Scott Balneaves <sbalneav@ltsp.org>]
  * Close LP: #137461
  * added missing manpages for ltsp-update-image, and nbdrootd
  * Fix a couple of debian control issues
  * Fix bug with localdev: encrypt tunnel for X forwarding for all things.
    LDM_DIRECTX will override X, but all other communication should be
    encrypted
  * since we're zeroing /etc/hostname in the plugin, don't need to do it in
    the initramfs, add plugin to Ubuntu
  * fixing problem with hostnames not being set in the client, even if
    they're specified in dhcpd
  * Added ram limiting from old 4.2, fixed typo

  [Vagrant Cascadian <vagrant@freegeek.org>]
  * merged patch to set hostname from the initramfs
  * merge with scotts-gutsy, *except* keep debian logo.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 06 Sep 2007 13:24:27 +0200

ltsp (5.0.25) gutsy; urgency=low

  [Oliver Grawert <ogra@ubuntu.com>]
  * Clean up rc links for reboot and shutdown


=== debian/control ===
Source: ltsp
Section: misc
Priority: extra
Maintainer: Oliver Grawert <ogra@ubuntu.com>
Uploaders: Ubuntu Core Developers <ubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 4), flex, bison, libpopt-dev, po-debconf, libgtk2.0-dev
Standards-Version: 3.7.2

Package: ltsp-server
Depends: ${misc:Depends}, debootstrap, lsb-release, tftpd-hpa, openssh-client | ssh, iproute, debconf-utils, python (>= 2.4), openbsd-inetd | inet-superserver, update-inetd, tcpd, gettext-base, nbd-server, squashfs-tools
Recommends: openssh-server | ssh, ltspfs
Suggests: dhcp3-server, sdm, audiooss, nfs-kernel-server
Conflicts: ltsp-utils
Replaces: ltsp-utils
Architecture: all
Description: Basic LTSP server environment
 This is the basic environment depending on an external DHCP server to
 point the clients to the LTSP server.

Package: ltsp-server-standalone
Depends: ltsp-server, dhcp3-server, libasound2-plugins, ltspfs, openssh-server, nbd-server, xbase-clients
Recommends: pulseaudio-esound-compat
Architecture: all
Description: Complete LTSP server environment
 This is the complete environment including a DHCP server to bootstrap
 the clients.
 
Package: ltsp-client-core
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends: lsb-base, nbd-client, initramfs-tools (>= 0.11), syslinux [i386 amd64], mkelfimage[i386] | yaboot[powerpc] | aboot[alpha] | sparc-utils[sparc], lsb-release, kbd | console-tools, python, discover1, xresprobe, tftp-hpa
Architecture: any
Description: LTSP client environment
 The scripts needed to configure and boot an LTSP client.
 .
 DO NOT install this package on a regular machine, it is intended only
 for installation inside a LTSP client filesystem.

Package: ltsp-client
Depends: ltsp-client-core, ldm | sdm-terminal | x-display-manager, pulseaudio-esound-compat, ltspfsd, xserver-xorg, libgl1-mesa-glx, libglu1-mesa, libgl1-mesa-dri, xfonts-base, xbase-clients, xutils, xkb-data, xterm, laptop-detect, inputattach, usplash, dmz-cursor-theme, usplash-theme-ubuntu, libasound2-plugins
Recommends: ubuntu-thin-client
Suggests: cryptsetup
Architecture: all
Description: LTSP client environment
 The scripts needed to configure and boot an LTSP client.

Package: ldm
Depends: ${misc:Depends}, ${shlibs:Depends}, openssh-client | ssh, gtk2-engines-ubuntulooks, xserver-xorg | xserver
Architecture: any
Description: LTSP display manager
 ldm is an X11 display manager similar to xdm, gdm and kdm, but unlike
 those it wraps the X11 traffic within an ssh tunnel to provide a
 secure login mechanism for remote X sessions.  ldm provides access
 only through SSH, not locally. It is technically possible to use ldm
 to connect to the same host, but probably a waste of CPU power.
 .
 It was written to work with the LTSP project, but should work without
 LTSP as well.

Package: ltsp-client-builder
Section: debian-installer
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, pkgsel
XB-Installer-Menu-Item: 7000
Description: Build an LTSP environment in the installer target
 This udeb bootstraps the LTSP client chroot in the installer target 
 while the cdrom is still mounted.

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,11 @@
 	dh_testdir
 
 	$(MAKE) -C client/getltscfg
+	cd client/ldm2; ./configure --prefix=/usr; cd -
+	$(MAKE) -C client/ldm2
+	cd client/ldmgtkgreet; ./configure --prefix=/usr; cd -
+	$(MAKE) -C client/ldmgtkgreet
+
 	$(MAKE) -C po update-po
 	touch build-stamp
 
@@ -22,12 +27,14 @@
 	rm -f build-stamp
 
 	-$(MAKE) -C client/getltscfg clean
+	-$(MAKE) -C client/ldm2 clean
+	-$(MAKE) -C client/ldmgtkgreet clean
     
     # Using po specific Makefile to clean message catalogs
 	$(MAKE) -C po clean
 
     # Debconf translation update
-	#debconf-updatepo
+	debconf-updatepo
 
 	dh_clean
 
@@ -51,7 +58,7 @@
 	dh_install -i -Xarch-ids
 	dh_installdebconf -i	
 	dh_installinit -i --no-start
-	dh_installman -pltsp-server -pltsp-client -pldm
+	dh_installman -pltsp-server -pltsp-client-core -pldm
 	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
@@ -70,7 +77,7 @@
 	dh_install -a
 	dh_installdebconf -a
 	dh_installinit -a --no-start
-	dh_installinit -pltsp-client --name=ltsp-client-setup --no-start -u"start 32 S ."
+	dh_installinit -pltsp-client-core --name=ltsp-client-setup --no-start -u"start 32 S ."
 	dh_link -a
 	dh_strip -a
 	dh_compress -a
@@ -84,7 +91,12 @@
 bzr-release:
 	rm -rf ../ltsp-$(DEBVER)
 	bzr export ../ltsp-$(DEBVER)
-	(cd ../ltsp-$(DEBVER); $(DEB_SRC_BUILD_PROG))
+	(cd ../ltsp-$(DEBVER)/client/ldm2; ./autogen.sh; cd -)
+	(cd ../ltsp-$(DEBVER)/client/ldmgtkgreet; ./autogen.sh; cd -)
+	(cd ../ltsp-$(DEBVER); debian/rules controlgen; $(DEB_SRC_BUILD_PROG))
+
+controlgen:
+	debian/controlgen
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install bzr-release

## ltsp 5.0.39.1

=== debian/changelog ===
ltsp (5.0.39.1) gutsy-security; urgency=low

  * fix CVE-2008-1293 (LP: #227295) that made unauthenticated access to the
    local X server on the client possible.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 06 May 2008 16:50:56 +0000

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	$(MAKE) -C po clean
 
     # Debconf translation update
-	debconf-updatepo
+	#debconf-updatepo
 
 	dh_clean

## ltsp 5.0.40~bzr20080212

=== po/Makefile ===
# Makefile to manage gettext files based in pppoeconf package 
# modified by Tiago Bortoletto Vaz <tiago@debian-ba.org>
# last update: Qua Jun 28 23:18:15 EDT 2006

DOMAIN=ltsp
POFILES=$(wildcard *.po)
MOFILES=$(patsubst %.po,%.mo,$(POFILES))
LINGUAS=$(basename $(POFILES))
GETTEXTFILES=$(shell find ../server -type f)
POTFILE=$(DOMAIN).pot
DESTDIR=/

%.mo: %.po
	msgfmt --statistics -o $@ $<

%.po: $(DOMAIN).pot
	msgmerge -U $*.po $(DOMAIN).pot

$(DOMAIN).pot: $(GETTEXTFILES)
	$(shell xgettext -L Shell -o $(DOMAIN).pot $(GETTEXTFILES))

update-po:
	-for lang in $(LINGUAS); do\
	    msgmerge -U $$lang.po $(DOMAIN).pot; \
	done

install: $(MOFILES)
	-for lang in $(LINGUAS); do\
	    install -d $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/; \
	    install -m 644 $$lang.mo $(DESTDIR)/usr/share/locale/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
	done

all: update-po $(MOFILES)

clean:
	- rm *.mo *~

.PHONY: update-po

=== client/getltscfg/Makefile ===


LEX=flex
YACC=bison

LIBS=-lfl -lpopt
##LIBS=-lfl -ll -lpopt
YFLAGS=-v -d
LDFLAGS=
CCFLAGS=-W -Wall $(CFLAGS)

getltscfg:	getltscfg.o		\
		parser.tab.o		\
		lexer.o
	cc -o getltscfg getltscfg.o	\
			parser.tab.o	\
			lexer.o		\
			$(LIBS)		\
			$(LDFLAGS)

getltscfg.o:	getltscfg.c		\
		getltscfg.h
	cc -c getltscfg.c $(CCFLAGS) -o getltscfg.o

parser.tab.o:	parser.tab.c
	cc -c parser.tab.c $(CCFLAGS) -o parser.tab.o

lexer.o:	lexer.c
	cc -c lexer.c $(CCFLAGS) -o lexer.o

parser.tab.c:	parser.y		\
		getltscfg.h
	$(YACC) $(YFLAGS) parser.y

lexer.c:	lexer.l			\
		getltscfg.h
	$(LEX) lexer.l
	mv lex.yy.c lexer.c

clean:
	-@rm -f lexer.c
	-@rm -f lexer.o
	-@rm -f parser.tab.c
	-@rm -f parser.tab.o
	-@rm -f y.output
	-@rm -f parser.tab.h
	-@rm -f parser.output
	-@rm -f getltscfg.o
	-@rm -f getltscfg

## ltsp 5.2.4

=== debian/changelog ===
ltsp (5.2.4-2~bpo50+2) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Revert use of nbd-client -swap, as it requires a newer version of nbd.
  * Removed versioned dependency on nbd-client.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 17 Oct 2010 15:21:42 -0700

ltsp (5.2.4-2) unstable; urgency=low

  * Add patch to initramfs-tools nfs-bottom hook to configure DNS from DHCP
    values (Closes: #593770).

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 27 Aug 2010 14:04:54 -0700

ltsp (5.2.4-1) unstable; urgency=low

  * New upstream version:
    - ltsp-build-client: chroot_mount function: strip off / from specified
      mount points (Closes: #590268).  Thanks to Petter Reinholdtsen.
    - ltsp-build-client: simplify unmounting of /proc/sys/fs/binfmt_misc mount
      in chroot (Closes: #590318).  Patch by Petter Reinholdtsen. 
    - ltsp-chroot: fix argument processing for --arch and --base.
    - ltsp-init-common: Make missing file/dir warnings a little less alarming
      in bind_mounts function.
    - Add wrapper for rdesktop screen script to work with pasuspender.
    - initramfs-tools udhcpc hook: Set broadcast address (LP #604276).

  * Drop patch for /media/cdrom, applied upstream.
  * Update Standards-Version to 3.9.1, no changes necessary.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 31 Jul 2010 09:27:44 -0400

ltsp (5.2.3-2) unstable; urgency=high

  * Change /cdrom to /media/cdrom, to work with the new d-i paths
    (Closes: #589646).  Using urgency=high to fix this RC bug.
  * Disable package signature checking when installing from CD using
    the ltsp-client-builder udeb.
  * Use sleep 1 instead of sleep 0.1 to work with busybox
    (Closes: 589820).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 21 Jul 2010 21:44:40 +0200

ltsp (5.2.3-1) unstable; urgency=low

  * New upstream version:
    - ltsp-build-client:
      + Drop default whitelists for init scripts, as it doesn't work when used
        with insserv.
      + Ensure that /var/run and /var/lock are not cleaned when using tmpfs by
        setting RAMRUN and RAMLOCK in /etc/default/rcS (Closes: #575307).

    - ltsp-update-sshkeys:
      + Add -p flag to ltsp-update-sshkeys to specify sshd port on remote
        application servers.
      + Add support for specifying server:port for remote servers on the
        command line.

    - ltsp-chroot:
      + Rewrote to support commandline arguments and filesystem mounting.
        Thanks to Alkis Georgopoulos.

    - ltsp-client-setup:
      + Use module-stream-restore with newer versions of pulseaudio.
      + Do not configure localdev from ltsp-client-setup initscript, as it is
        now is handled by udev rules.
      + Use nbd-client's -swap parameter when using NBD swap.

    - initramfs-tools ltsp_nbd: 
      + Allow disabling nbd-proxy.
      + Disable nbd-proxy by default when RAM is limited.

    - Don't set LTSP_FATCLIENT for thin clients with limited RAM.
    - New Slovak (sk) translation by Slavko (Closes: #578688).

  * ltsp-client/ltsp-client-core: 
    - Add a versioned dependency on nbd-client to ensure -swap works properly.
    - Do not depend or suggest inputattach or joystick for s390 
      (Closes: #587607).
    - Only allow older versions of joystick package to satisfy depends or
      suggests, as newer versions do not include the inputattach binary.
    - Add kioskSession script, used by the kiosk screen.d script.

  * Convert from dpatch to source format "3.0 (quilt)".
  * Update Standards-Version to 3.9.0, no changes necessary.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 05 Jul 2010 22:40:33 -0700

ltsp (5.2.2-1) unstable; urgency=low

  * New upstream version: 
    - Initialize screen session tty with openvt.
    - Generate upstream changelog.
    - Fix ltsp-update-sshkeys by generating the thin-client's ssh_known_hosts
      files directly from the server's keys, rather than using ssh-keyscan.

    - Updated translations:
      + French (fr), by Jean-Baka Domelevo Entfellner (Closes: #571073).
      + French (fr), by Stephane Graber.
      + Japanese (ja), by Hideki Yamane (Closes: #577067).
      + Swedish (sv), by Martin Bagge (Closes: #577007).
      + German (de), by Wolfgang Schweer (Closes: #576784).
      + Portuguese (pt), by Américo Monteiro (Closes: #576450).
      + Russian (ru), by Yuri Kozlov (Closes: #576561).
      + Vietnamese (vi), by Clytie Siddall (Closes: #576506).
      + Spanish (es), by José L. Redrejo Rodríguez.
      + Italian (it), by Vincenzo Campanella.
      + Portuguese (pt), by Américo Monteiro (Closes: #576450).
      + Greek (el), by Alkis Georgopoulos.
      + Chinese (simplified) (zh_CN), by YunQiang Su.

  * Remove initialize-tty-with-openvt patch, applied upstream. 
  * Use ltsp-server.lintian-overrides instead of installing manually.
  * Add lintian override:
    - ltsp-client-core: init.d-script-missing-dependency-on-remote_fs
      + The whole LTSP filesystem is a remote filesystem.

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 19 Apr 2010 15:08:07 -0700

ltsp (5.2.1-1) unstable; urgency=low

  * New upstream version:
    - Add SCREEN_DEFAULT parameter to select which screen script will be
      displayed at boot.
    - Improved sound support with rdesktop screen script.
    - Set default microphone volume to 40% if unspecified to avoid problems
      with sound feedback.
    - New "NBD_SWAP_THRESHOLD" lts.conf parameter, to automatically
      enable NBD_SWAP for clients with less RAM than that threshold.
    - Consistantly change NBD_PORT to NBD_SWAP_PORT and NBD_ROOT_PORT, and
      SWAP_SERVER to NBD_SWAP_SERVER where appropriate.
    - nbdswapd: Increase the default size to 64 MB.

    - Fat clients:
      + Option to enable NFS mounted home directories for fat clients.
      + Disable local devices when configured as a fat client.

    - Localapps:
      + Do not follow symlinks with sshfs mounted home directory by default.

    - ltsp-build-client:


=== debian/control ===
Source: ltsp
Section: misc
Priority: extra
Maintainer: LTSP Debian/Ubuntu Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
Uploaders: Carlos Laviola <claviola@debian.org>, Oliver Grawert <ogra@ubuntu.com>, Petter Reinholdtsen <pere@debian.org>, Vagrant Cascadian <vagrant@debian.org>, Ryan Niebur <ryanryan52@gmail.com>
Build-Depends: debhelper (>= 7), flex, bison, libpopt-dev, po-debconf, pkg-config, libx11-dev, automake | automaken
Standards-Version: 3.9.1
Vcs-Bzr: nosmart+http://bzr.debian.org/bzr/pkg-ltsp/ltsp-debian-packaging/
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-ltsp/ltsp-debian-packaging/files
XS-DM-Upload-Allowed: yes
Homepage: http://ltsp.org

Package: ltsp-server
Depends: ${misc:Depends}, debootstrap, lsb-release, openssh-client, iproute | freebsd-net-tools, debconf-utils, python (>= 2.4), update-inetd, tcpd, gettext-base
Recommends: nfs-kernel-server, squashfs-tools, nbd-server (>= 1:2.9.6-2), openssh-server, tftpd-hpa | atftpd | dnsmasq (>= 2.41), openbsd-inetd | inet-superserver
Suggests: dhcp3-server | dnsmasq, libasound2-plugins, ltspfs, xauth, gnome-session | x-session-manager | x-window-manager, ldm-server, sdm, audiooss, pulseaudio-esound-compat | esound-clients | nas-bin, ltsp-docs, x11-utils, qemu-user-static
Conflicts: ltsp-utils
Replaces: ltsp-utils
Architecture: all
Description: basic LTSP server environment
 This is the basic environment including the minimal features necessary to
 build an LTSP environment.
 .
 It also recommends services needed for thin-clients to boot and mount
 filesystems over the network.
 .
 LTSP stands for 'Linux Terminal Server Project'.
 
Package: ltsp-server-standalone
Depends: ${misc:Depends}, ltsp-server, nfs-kernel-server, squashfs-tools, nbd-server (>= 1:2.9.6-2), openssh-server, tftpd-hpa | atftpd | dnsmasq (>= 2.41), openbsd-inetd | inet-superserver, dhcp3-server | dnsmasq, libasound2-plugins, ltspfs, xauth, gnome-session | x-session-manager | x-window-manager, ldm-server, x11-utils
Architecture: all
Description: complete LTSP server environment
 This is a complete LTSP server environment with all LTSP server features
 including a DHCP server, remote device access using ltspfs, remote sound using
 pulseaudio, network swap using NBD and more.
 .
 LTSP stands for 'Linux Terminal Server Project'.
 
Package: ltsp-client-core
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends: ${misc:Depends}, ${shlibs:Depends}, lsb-base, nbd-client [!kfreebsd-i386 !kfreebsd-amd64], initramfs-tools (>= 0.11) [!kfreebsd-i386 !kfreebsd-amd64], syslinux [i386 amd64], mkelfimage[i386] | mknbi[i386] | yaboot[powerpc] | aboot[alpha] | sparc-utils[sparc], tip22 [mips], lsb-release, kbd [!kfreebsd-i386 !kfreebsd-amd64] | console-tools [!kfreebsd-i386 !kfreebsd-amd64], python, tftp-hpa | tftp, console-setup
Suggests: ldm, pulseaudio-esound-compat, ltspfsd (>= 0.5.3), mdetect, alsa-utils, cryptsetup, libasound2-plugins, netcat-traditional | netcat, rdesktop, inputattach [!s390] | joystick (<< 20051019-6) [!s390], sshfs, python-serial, ntpdate, numlockx, sdm-terminal | x-display-manager, pulseaudio | esound | nas, sane-utils, cups-bsd
Architecture: any
Description: basic LTSP client environment
 This package provides the scripts needed to configure and boot a basic LTSP
 client.
 .
 DO NOT install this package on a regular machine, it is intended only
 for installation inside a LTSP client file system.
 .
 LTSP stands for 'Linux Terminal Server Project'.

Package: ltsp-client
Depends: ${misc:Depends}, ltsp-client-core, xorg, ldm, pulseaudio-esound-compat, ltspfsd (>= 0.5.3), mdetect, alsa-utils, cryptsetup, libasound2-plugins, netcat-traditional | netcat, rdesktop, inputattach [!s390] | joystick (<< 20051019-6) [!s390], sshfs, python-serial, ntpdate, numlockx, sane-utils, cups-bsd
Architecture: any
Description: complete LTSP client environment
 This package ensures that a complete LTSP client with a graphical user
 environment, remote audio and local device support is installed.
 .
 DO NOT install this package on a regular machine, it is intended only
 for installation inside a LTSP client file system.
 .
 LTSP stands for 'Linux Terminal Server Project'.

Package: ltsp-client-builder
Section: debian-installer
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, kbd-chooser, pkgsel
XB-Installer-Menu-Item: 7000
Description: build an LTSP environment in the installer target
 This udeb bootstraps the LTSP client chroot in the installer target 
 while the CD-ROM is still mounted.
 .
 LTSP stands for 'Linux Terminal Server Project'.

=== debian/rules ===
#!/usr/bin/make -f

build: $(DPATCH_STAMPFN) build-stamp
build-stamp:
	dh --before dh_auto_configure build
	cd localapps; ./configure --prefix=/usr --libexecdir=/usr/lib; cd -
	cd nbd-proxy; ./configure --prefix=/usr --libexecdir=/usr/lib; cd -

	$(MAKE) -C client/getltscfg
	$(MAKE) -C localapps
	$(MAKE) -C nbd-proxy 
	$(MAKE) -C po update-po
	dh --after dh_auto_configure build

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f client/getltscfg/Makefile ] || $(MAKE) -C client/getltscfg clean

	[ ! -f localapps/Makefile ] || $(MAKE) -C localapps clean

	[ ! -f nbd-proxy/Makefile ] || $(MAKE) -C nbd-proxy clean

	# Using po specific Makefile to clean message catalogs
	$(MAKE) -C po clean

	# Debconf translation update
	debconf-updatepo

	chmod +x debian/bugs/ltsp-server/script

	dh_clean

install: build

	# Copy default and init scripts from upstream code
	cp $(CURDIR)/client/initscripts/ltsp-core $(CURDIR)/debian/ltsp-client-core.init
	cp $(CURDIR)/client/initscripts/ltsp-setup $(CURDIR)/debian/ltsp-client-core.ltsp-client-setup.init

	dh --before dh_installinit install
	dh_installinit -pltsp-client-core --name=ltsp-client-setup --no-start -u"start 32 S ."
	dh_installinit -a --no-start
	dh --after dh_installinit install

	# Using po specific Makefile to install message catalogs
	$(MAKE) -C po install DESTDIR=$(CURDIR)/debian/ltsp-server/

# Build architecture-independent files here.
binary-indep: build install
	dh binary-indep

# Build architecture-dependent files here.
binary-arch: build install
	dh binary-arch

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# ltsp currently doesn't release tarballs. the latest version can be found by
# checking the following URL:
# http://bazaar.launchpad.net/~ltsp-upstream/ltsp/ltsp-trunk/annotate/head:/release.conf

version=3

# check versions uploaded to other distros:

# ubuntu
http://archive.ubuntu.com/ubuntu/pool/main/l/ltsp/ltsp_(.*)\.orig\.tar\.gz

# fedora
http://kojipkgs.fedoraproject.org/packages/ltsp/ ([0-9].*)/
